diff --git a/app/src/main/java/net/micode/notes/gtask/remote/GTaskManager.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/gtask/remote/GTaskManager.java
similarity index 96%
rename from app/src/main/java/net/micode/notes/gtask/remote/GTaskManager.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/gtask/remote/GTaskManager.java
index d2b4082..3155476 100644
--- a/app/src/main/java/net/micode/notes/gtask/remote/GTaskManager.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/gtask/remote/GTaskManager.java
@@ -14,7 +14,7 @@
  * limitations under the License.
  */
 
-package net.micode.notes.gtask.remote;
+package com.example.notes_master.src.net.micode.notes.gtask.remote;
 
 import android.app.Activity;
 import android.content.ContentResolver;
@@ -25,18 +25,18 @@ import android.database.Cursor;
 import android.util.Log;
 
 import net.micode.notes.R;
-import net.micode.notes.data.Notes;
-import net.micode.notes.data.Notes.DataColumns;
-import net.micode.notes.data.Notes.NoteColumns;
-import net.micode.notes.gtask.data.MetaData;
-import net.micode.notes.gtask.data.Node;
-import net.micode.notes.gtask.data.SqlNote;
-import net.micode.notes.gtask.data.Task;
-import net.micode.notes.gtask.data.TaskList;
-import net.micode.notes.gtask.exception.ActionFailureException;
-import net.micode.notes.gtask.exception.NetworkFailureException;
-import net.micode.notes.tool.DataUtils;
-import net.micode.notes.tool.GTaskStringUtils;
+import com.example.notes_master.src.net.micode.notes.data.Notes;
+import com.example.notes_master.src.net.micode.notes.data.Notes.DataColumns;
+import com.example.notes_master.src.net.micode.notes.data.Notes.NoteColumns;
+import com.example.notes_master.src.net.micode.notes.gtask.data.MetaData;
+import com.example.notes_master.src.net.micode.notes.gtask.data.Node;
+import com.example.notes_master.src.net.micode.notes.gtask.data.SqlNote;
+import com.example.notes_master.src.net.micode.notes.gtask.data.Task;
+import com.example.notes_master.src.net.micode.notes.gtask.data.TaskList;
+import com.example.notes_master.src.net.micode.notes.gtask.exception.ActionFailureException;
+import com.example.notes_master.src.net.micode.notes.gtask.exception.NetworkFailureException;
+import com.example.notes_master.src.net.micode.notes.tool.DataUtils;
+import com.example.notes_master.src.net.micode.notes.tool.GTaskStringUtils;
 
 import org.json.JSONArray;
 import org.json.JSONException;
diff --git a/app/src/main/java/net/micode/notes/gtask/remote/GTaskSyncService.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/gtask/remote/GTaskSyncService.java
similarity index 98%
rename from app/src/main/java/net/micode/notes/gtask/remote/GTaskSyncService.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/gtask/remote/GTaskSyncService.java
index cca36f7..771e477 100644
--- a/app/src/main/java/net/micode/notes/gtask/remote/GTaskSyncService.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/gtask/remote/GTaskSyncService.java
@@ -14,7 +14,7 @@
  * limitations under the License.
  */
 
-package net.micode.notes.gtask.remote;
+package com.example.notes_master.src.net.micode.notes.gtask.remote;
 
 import android.app.Activity;
 import android.app.Service;
diff --git a/app/src/main/java/net/micode/notes/model/Note.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/model/Note.java
similarity index 95%
rename from app/src/main/java/net/micode/notes/model/Note.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/model/Note.java
index 6706cf6..bdb6f68 100644
--- a/app/src/main/java/net/micode/notes/model/Note.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/model/Note.java
@@ -14,7 +14,7 @@
  * limitations under the License.
  */
 
-package net.micode.notes.model;
+package com.example.notes_master.src.net.micode.notes.model;
 import android.content.ContentProviderOperation;
 import android.content.ContentProviderResult;
 import android.content.ContentUris;
@@ -25,11 +25,11 @@ import android.net.Uri;
 import android.os.RemoteException;
 import android.util.Log;
 
-import net.micode.notes.data.Notes;
-import net.micode.notes.data.Notes.CallNote;
-import net.micode.notes.data.Notes.DataColumns;
-import net.micode.notes.data.Notes.NoteColumns;
-import net.micode.notes.data.Notes.TextNote;
+import com.example.notes_master.src.net.micode.notes.data.Notes;
+import com.example.notes_master.src.net.micode.notes.data.Notes.CallNote;
+import com.example.notes_master.src.net.micode.notes.data.Notes.DataColumns;
+import com.example.notes_master.src.net.micode.notes.data.Notes.NoteColumns;
+import com.example.notes_master.src.net.micode.notes.data.Notes.TextNote;
 
 import java.util.ArrayList;
 
diff --git a/app/src/main/java/net/micode/notes/model/WorkingNote.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/model/WorkingNote.java
similarity index 94%
rename from app/src/main/java/net/micode/notes/model/WorkingNote.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/model/WorkingNote.java
index be081e4..5aebcc3 100644
--- a/app/src/main/java/net/micode/notes/model/WorkingNote.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/model/WorkingNote.java
@@ -14,7 +14,7 @@
  * limitations under the License.
  */
 
-package net.micode.notes.model;
+package com.example.notes_master.src.net.micode.notes.model;
 
 import android.appwidget.AppWidgetManager;
 import android.content.ContentUris;
@@ -23,13 +23,13 @@ import android.database.Cursor;
 import android.text.TextUtils;
 import android.util.Log;
 
-import net.micode.notes.data.Notes;
-import net.micode.notes.data.Notes.CallNote;
-import net.micode.notes.data.Notes.DataColumns;
-import net.micode.notes.data.Notes.DataConstants;
-import net.micode.notes.data.Notes.NoteColumns;
-import net.micode.notes.data.Notes.TextNote;
-import net.micode.notes.tool.ResourceParser.NoteBgResources;
+import com.example.notes_master.src.net.micode.notes.data.Notes;
+import com.example.notes_master.src.net.micode.notes.data.Notes.CallNote;
+import com.example.notes_master.src.net.micode.notes.data.Notes.DataColumns;
+import com.example.notes_master.src.net.micode.notes.data.Notes.DataConstants;
+import com.example.notes_master.src.net.micode.notes.data.Notes.NoteColumns;
+import com.example.notes_master.src.net.micode.notes.data.Notes.TextNote;
+import com.example.notes_master.src.net.micode.notes.tool.ResourceParser.NoteBgResources;
 
 
 public class WorkingNote {
diff --git a/app/src/main/java/net/micode/notes/tool/BackupUtils.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/tool/BackupUtils.java
similarity index 97%
rename from app/src/main/java/net/micode/notes/tool/BackupUtils.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/tool/BackupUtils.java
index 39f6ec4..5e2536a 100644
--- a/app/src/main/java/net/micode/notes/tool/BackupUtils.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/tool/BackupUtils.java
@@ -14,7 +14,7 @@
  * limitations under the License.
  */
 
-package net.micode.notes.tool;
+package com.example.notes_master.src.net.micode.notes.tool;
 
 import android.content.Context;
 import android.database.Cursor;
@@ -23,11 +23,12 @@ import android.text.TextUtils;
 import android.text.format.DateFormat;
 import android.util.Log;
 
+import com.example.notes_master.src.net.micode.notes.data.Notes;
+import com.example.notes_master.src.net.micode.notes.data.Notes.DataColumns;
+import com.example.notes_master.src.net.micode.notes.data.Notes.DataConstants;
+import com.example.notes_master.src.net.micode.notes.data.Notes.NoteColumns;
+
 import net.micode.notes.R;
-import net.micode.notes.data.Notes;
-import net.micode.notes.data.Notes.DataColumns;
-import net.micode.notes.data.Notes.DataConstants;
-import net.micode.notes.data.Notes.NoteColumns;
 
 import java.io.File;
 import java.io.FileNotFoundException;
diff --git a/app/src/main/java/net/micode/notes/tool/DataUtils.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/tool/DataUtils.java
similarity index 96%
rename from app/src/main/java/net/micode/notes/tool/DataUtils.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/tool/DataUtils.java
index 2a14982..c1a7276 100644
--- a/app/src/main/java/net/micode/notes/tool/DataUtils.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/tool/DataUtils.java
@@ -14,7 +14,7 @@
  * limitations under the License.
  */
 
-package net.micode.notes.tool;
+package com.example.notes_master.src.net.micode.notes.tool;
 
 import android.content.ContentProviderOperation;
 import android.content.ContentProviderResult;
@@ -26,10 +26,10 @@ import android.database.Cursor;
 import android.os.RemoteException;
 import android.util.Log;
 
-import net.micode.notes.data.Notes;
-import net.micode.notes.data.Notes.CallNote;
-import net.micode.notes.data.Notes.NoteColumns;
-import net.micode.notes.ui.NotesListAdapter.AppWidgetAttribute;
+import com.example.notes_master.src.net.micode.notes.data.Notes;
+import com.example.notes_master.src.net.micode.notes.data.Notes.CallNote;
+import com.example.notes_master.src.net.micode.notes.data.Notes.NoteColumns;
+import com.example.notes_master.src.net.micode.notes.ui.NotesListAdapter.AppWidgetAttribute;
 
 import java.util.ArrayList;
 import java.util.HashSet;
diff --git a/app/src/main/java/net/micode/notes/tool/GTaskStringUtils.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/tool/GTaskStringUtils.java
similarity index 98%
rename from app/src/main/java/net/micode/notes/tool/GTaskStringUtils.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/tool/GTaskStringUtils.java
index 666b729..13cffec 100644
--- a/app/src/main/java/net/micode/notes/tool/GTaskStringUtils.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/tool/GTaskStringUtils.java
@@ -14,7 +14,7 @@
  * limitations under the License.
  */
 
-package net.micode.notes.tool;
+package com.example.notes_master.src.net.micode.notes.tool;
 
 public class GTaskStringUtils {
 
diff --git a/app/src/main/java/net/micode/notes/tool/ResourceParser.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/tool/ResourceParser.java
similarity index 97%
rename from app/src/main/java/net/micode/notes/tool/ResourceParser.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/tool/ResourceParser.java
index 1ad3ad6..fef303c 100644
--- a/app/src/main/java/net/micode/notes/tool/ResourceParser.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/tool/ResourceParser.java
@@ -14,13 +14,14 @@
  * limitations under the License.
  */
 
-package net.micode.notes.tool;
+package com.example.notes_master.src.net.micode.notes.tool;
 
 import android.content.Context;
 import android.preference.PreferenceManager;
 
+import com.example.notes_master.src.net.micode.notes.ui.NotesPreferenceActivity;
+
 import net.micode.notes.R;
-import net.micode.notes.ui.NotesPreferenceActivity;
 
 public class ResourceParser {
 
diff --git a/app/src/main/java/net/micode/notes/ui/AlarmAlertActivity.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/AlarmAlertActivity.java
similarity index 84%
rename from app/src/main/java/net/micode/notes/ui/AlarmAlertActivity.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/AlarmAlertActivity.java
index 85723be..e49916a 100644
--- a/app/src/main/java/net/micode/notes/ui/AlarmAlertActivity.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/AlarmAlertActivity.java
@@ -14,9 +14,8 @@
  * limitations under the License.
  */
 
-package net.micode.notes.ui;
+package com.example.notes_master.src.net.micode.notes.ui;
 
-import android.app.Activity;
 import android.app.AlertDialog;
 import android.content.Context;
 import android.content.DialogInterface;
@@ -33,14 +32,17 @@ import android.provider.Settings;
 import android.view.Window;
 import android.view.WindowManager;
 
+import androidx.appcompat.app.AppCompatActivity;
+
+import com.example.notes_master.src.net.micode.notes.data.Notes;
+import com.example.notes_master.src.net.micode.notes.tool.DataUtils;
+
 import net.micode.notes.R;
-import net.micode.notes.data.Notes;
-import net.micode.notes.tool.DataUtils;
 
 import java.io.IOException;
 
 
-public class AlarmAlertActivity extends Activity implements OnClickListener, OnDismissListener {
+public class AlarmAlertActivity extends AppCompatActivity implements OnClickListener, OnDismissListener {
     private long mNoteId;
     private String mSnippet;
     private static final int SNIPPET_PREW_MAX_LEN = 60;
@@ -62,17 +64,18 @@ public class AlarmAlertActivity extends Activity implements OnClickListener, OnD
         }
 
         Intent intent = getIntent();
+            try {
+                mNoteId = Long.valueOf(intent.getData().getPathSegments().get(1));
+                mSnippet = DataUtils.getSnippetById(this.getContentResolver(), mNoteId);
+                mSnippet = mSnippet.length() > SNIPPET_PREW_MAX_LEN ? mSnippet.substring(0,
+                        SNIPPET_PREW_MAX_LEN) + getResources().getString(R.string.notelist_string_info)
+                        : mSnippet;
+            } catch (IllegalArgumentException e) {
+                e.printStackTrace();
+                return;
+            }
+
 
-        try {
-            mNoteId = Long.valueOf(intent.getData().getPathSegments().get(1));
-            mSnippet = DataUtils.getSnippetById(this.getContentResolver(), mNoteId);
-            mSnippet = mSnippet.length() > SNIPPET_PREW_MAX_LEN ? mSnippet.substring(0,
-                    SNIPPET_PREW_MAX_LEN) + getResources().getString(R.string.notelist_string_info)
-                    : mSnippet;
-        } catch (IllegalArgumentException e) {
-            e.printStackTrace();
-            return;
-        }
 
         mPlayer = new MediaPlayer();
         if (DataUtils.visibleInNoteDatabase(getContentResolver(), mNoteId, Notes.TYPE_NOTE)) {
diff --git a/app/src/main/java/net/micode/notes/ui/AlarmInitReceiver.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/AlarmInitReceiver.java
similarity index 92%
rename from app/src/main/java/net/micode/notes/ui/AlarmInitReceiver.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/AlarmInitReceiver.java
index f221202..4a000e2 100644
--- a/app/src/main/java/net/micode/notes/ui/AlarmInitReceiver.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/AlarmInitReceiver.java
@@ -14,7 +14,7 @@
  * limitations under the License.
  */
 
-package net.micode.notes.ui;
+package com.example.notes_master.src.net.micode.notes.ui;
 
 import android.app.AlarmManager;
 import android.app.PendingIntent;
@@ -24,8 +24,8 @@ import android.content.Context;
 import android.content.Intent;
 import android.database.Cursor;
 
-import net.micode.notes.data.Notes;
-import net.micode.notes.data.Notes.NoteColumns;
+import com.example.notes_master.src.net.micode.notes.data.Notes;
+import com.example.notes_master.src.net.micode.notes.data.Notes.NoteColumns;
 
 
 public class AlarmInitReceiver extends BroadcastReceiver {
diff --git a/app/src/main/java/net/micode/notes/ui/AlarmReceiver.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/AlarmReceiver.java
similarity index 94%
rename from app/src/main/java/net/micode/notes/ui/AlarmReceiver.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/AlarmReceiver.java
index 54e503b..a7b9439 100644
--- a/app/src/main/java/net/micode/notes/ui/AlarmReceiver.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/AlarmReceiver.java
@@ -14,7 +14,7 @@
  * limitations under the License.
  */
 
-package net.micode.notes.ui;
+package com.example.notes_master.src.net.micode.notes.ui;
 
 import android.content.BroadcastReceiver;
 import android.content.Context;
diff --git a/app/src/main/java/net/micode/notes/ui/DateTimePicker.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/DateTimePicker.java
similarity index 99%
rename from app/src/main/java/net/micode/notes/ui/DateTimePicker.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/DateTimePicker.java
index 496b0cd..c1246b0 100644
--- a/app/src/main/java/net/micode/notes/ui/DateTimePicker.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/DateTimePicker.java
@@ -14,13 +14,7 @@
  * limitations under the License.
  */
 
-package net.micode.notes.ui;
-
-import java.text.DateFormatSymbols;
-import java.util.Calendar;
-
-import net.micode.notes.R;
-
+package com.example.notes_master.src.net.micode.notes.ui;
 
 import android.content.Context;
 import android.text.format.DateFormat;
@@ -28,6 +22,11 @@ import android.view.View;
 import android.widget.FrameLayout;
 import android.widget.NumberPicker;
 
+import net.micode.notes.R;
+
+import java.text.DateFormatSymbols;
+import java.util.Calendar;
+
 public class DateTimePicker extends FrameLayout {
 
     private static final boolean DEFAULT_ENABLE_STATE = true;
@@ -160,7 +159,7 @@ public class DateTimePicker extends FrameLayout {
 
     public interface OnDateTimeChangedListener {
         void onDateTimeChanged(DateTimePicker view, int year, int month,
-                int dayOfMonth, int hourOfDay, int minute);
+                               int dayOfMonth, int hourOfDay, int minute);
     }
 
     public DateTimePicker(Context context) {
diff --git a/app/src/main/java/net/micode/notes/ui/DateTimePickerDialog.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/DateTimePickerDialog.java
similarity index 93%
rename from app/src/main/java/net/micode/notes/ui/DateTimePickerDialog.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/DateTimePickerDialog.java
index 2c47ba4..fe84031 100644
--- a/app/src/main/java/net/micode/notes/ui/DateTimePickerDialog.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/DateTimePickerDialog.java
@@ -14,13 +14,13 @@
  * limitations under the License.
  */
 
-package net.micode.notes.ui;
+package com.example.notes_master.src.net.micode.notes.ui;
 
 import java.util.Calendar;
 
 import net.micode.notes.R;
-import net.micode.notes.ui.DateTimePicker;
-import net.micode.notes.ui.DateTimePicker.OnDateTimeChangedListener;
+import com.example.notes_master.src.net.micode.notes.ui.DateTimePicker;
+import com.example.notes_master.src.net.micode.notes.ui.DateTimePicker.OnDateTimeChangedListener;
 
 import android.app.AlertDialog;
 import android.content.Context;
diff --git a/app/src/main/java/net/micode/notes/ui/DropdownMenu.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/DropdownMenu.java
similarity index 97%
rename from app/src/main/java/net/micode/notes/ui/DropdownMenu.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/DropdownMenu.java
index 613dc74..2a929b4 100644
--- a/app/src/main/java/net/micode/notes/ui/DropdownMenu.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/DropdownMenu.java
@@ -14,7 +14,7 @@
  * limitations under the License.
  */
 
-package net.micode.notes.ui;
+package com.example.notes_master.src.net.micode.notes.ui;
 
 import android.content.Context;
 import android.view.Menu;
diff --git a/app/src/main/java/net/micode/notes/ui/FoldersListAdapter.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/FoldersListAdapter.java
similarity index 92%
rename from app/src/main/java/net/micode/notes/ui/FoldersListAdapter.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/FoldersListAdapter.java
index 96b77da..db34ace 100644
--- a/app/src/main/java/net/micode/notes/ui/FoldersListAdapter.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/FoldersListAdapter.java
@@ -14,7 +14,7 @@
  * limitations under the License.
  */
 
-package net.micode.notes.ui;
+package com.example.notes_master.src.net.micode.notes.ui;
 
 import android.content.Context;
 import android.database.Cursor;
@@ -24,9 +24,10 @@ import android.widget.CursorAdapter;
 import android.widget.LinearLayout;
 import android.widget.TextView;
 
+import com.example.notes_master.src.net.micode.notes.data.Notes;
+import com.example.notes_master.src.net.micode.notes.data.Notes.NoteColumns;
+
 import net.micode.notes.R;
-import net.micode.notes.data.Notes;
-import net.micode.notes.data.Notes.NoteColumns;
 
 
 public class FoldersListAdapter extends CursorAdapter {
diff --git a/app/src/main/java/net/micode/notes/ui/NoteEditActivity.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/NoteEditActivity.java
similarity index 96%
rename from app/src/main/java/net/micode/notes/ui/NoteEditActivity.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/NoteEditActivity.java
index 0bbc25d..6229cba 100644
--- a/app/src/main/java/net/micode/notes/ui/NoteEditActivity.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/NoteEditActivity.java
@@ -14,9 +14,8 @@
  * limitations under the License.
  */
 
-package net.micode.notes.ui;
+package com.example.notes_master.src.net.micode.notes.ui;
 
-import android.app.Activity;
 import android.app.AlarmManager;
 import android.app.AlertDialog;
 import android.app.PendingIntent;
@@ -52,18 +51,21 @@ import android.widget.LinearLayout;
 import android.widget.TextView;
 import android.widget.Toast;
 
+import androidx.appcompat.app.AppCompatActivity;
+
+import com.example.notes_master.src.net.micode.notes.data.Notes;
+import com.example.notes_master.src.net.micode.notes.data.Notes.TextNote;
+import com.example.notes_master.src.net.micode.notes.model.WorkingNote;
+import com.example.notes_master.src.net.micode.notes.model.WorkingNote.NoteSettingChangedListener;
+import com.example.notes_master.src.net.micode.notes.tool.DataUtils;
+import com.example.notes_master.src.net.micode.notes.tool.ResourceParser;
+import com.example.notes_master.src.net.micode.notes.tool.ResourceParser.TextAppearanceResources;
+import com.example.notes_master.src.net.micode.notes.ui.DateTimePickerDialog.OnDateTimeSetListener;
+import com.example.notes_master.src.net.micode.notes.ui.NoteEditText.OnTextViewChangeListener;
+import com.example.notes_master.src.net.micode.notes.widget.NoteWidgetProvider_2x;
+import com.example.notes_master.src.net.micode.notes.widget.NoteWidgetProvider_4x;
+
 import net.micode.notes.R;
-import net.micode.notes.data.Notes;
-import net.micode.notes.data.Notes.TextNote;
-import net.micode.notes.model.WorkingNote;
-import net.micode.notes.model.WorkingNote.NoteSettingChangedListener;
-import net.micode.notes.tool.DataUtils;
-import net.micode.notes.tool.ResourceParser;
-import net.micode.notes.tool.ResourceParser.TextAppearanceResources;
-import net.micode.notes.ui.DateTimePickerDialog.OnDateTimeSetListener;
-import net.micode.notes.ui.NoteEditText.OnTextViewChangeListener;
-import net.micode.notes.widget.NoteWidgetProvider_2x;
-import net.micode.notes.widget.NoteWidgetProvider_4x;
 
 import java.util.HashMap;
 import java.util.HashSet;
@@ -72,7 +74,7 @@ import java.util.regex.Matcher;
 import java.util.regex.Pattern;
 
 
-public class NoteEditActivity extends Activity implements OnClickListener,
+public class NoteEditActivity extends AppCompatActivity implements OnClickListener,
         NoteSettingChangedListener, OnTextViewChangeListener {
     private class HeadViewHolder {
         public TextView tvModified;
@@ -429,8 +431,7 @@ public class NoteEditActivity extends Activity implements OnClickListener,
         int id = v.getId();
         if (id == R.id.btn_set_bg_color) {
             mNoteBgColorSelector.setVisibility(View.VISIBLE);
-            findViewById(sBgSelectorSelectionMap.get(mWorkingNote.getBgColorId())).setVisibility(
-                    -                    View.VISIBLE);
+            findViewById(sBgSelectorSelectionMap.get(mWorkingNote.getBgColorId())).setVisibility(View.VISIBLE);
         } else if (sBgSelectorBtnsMap.containsKey(id)) {
             findViewById(sBgSelectorSelectionMap.get(mWorkingNote.getBgColorId())).setVisibility(
                     View.GONE);
@@ -870,9 +871,4 @@ public class NoteEditActivity extends Activity implements OnClickListener,
     private void showToast(int resId, int duration) {
         Toast.makeText(this, resId, duration).show();
     }
-    
-
-    public void OnOpenMenu(View view) {
-		openOptionsMenu();
-	}
 }
diff --git a/app/src/main/java/net/micode/notes/ui/NoteEditText.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/NoteEditText.java
similarity index 98%
rename from app/src/main/java/net/micode/notes/ui/NoteEditText.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/NoteEditText.java
index 2afe2a8..3a11689 100644
--- a/app/src/main/java/net/micode/notes/ui/NoteEditText.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/NoteEditText.java
@@ -14,7 +14,7 @@
  * limitations under the License.
  */
 
-package net.micode.notes.ui;
+package com.example.notes_master.src.net.micode.notes.ui;
 
 import android.content.Context;
 import android.graphics.Rect;
@@ -30,14 +30,13 @@ import android.view.KeyEvent;
 import android.view.MenuItem;
 import android.view.MenuItem.OnMenuItemClickListener;
 import android.view.MotionEvent;
-import android.widget.EditText;
 
 import net.micode.notes.R;
 
 import java.util.HashMap;
 import java.util.Map;
 
-public class NoteEditText extends EditText {
+public class NoteEditText extends androidx.appcompat.widget.AppCompatEditText {
     private static final String TAG = "NoteEditText";
     private int mIndex;
     private int mSelectionStartBeforeDelete;
diff --git a/app/src/main/java/net/micode/notes/ui/NoteItemData.java b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/NoteItemData.java
similarity index 95%
rename from app/src/main/java/net/micode/notes/ui/NoteItemData.java
rename to src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/NoteItemData.java
index 0f5a878..c76ac25 100644
--- a/app/src/main/java/net/micode/notes/ui/NoteItemData.java
+++ b/src/xiaomi/app/src/main/java/com/example/notes_master/src/net/micode/notes/ui/NoteItemData.java
@@ -14,16 +14,16 @@
  * limitations under the License.
  */
 
-package net.micode.notes.ui;
+package com.example.notes_master.src.net.micode.notes.ui;
 
 import android.content.Context;
 import android.database.Cursor;
 import android.text.TextUtils;
 
-import net.micode.notes.data.Contact;
-import net.micode.notes.data.Notes;
-import net.micode.notes.data.Notes.NoteColumns;
-import net.micode.notes.tool.DataUtils;
+import com.example.notes_master.src.net.micode.notes.data.Contact;
+import com.example.notes_master.src.net.micode.notes.data.Notes;
+import com.example.notes_master.src.net.micode.notes.data.Notes.NoteColumns;
+import com.example.notes_master.src.net.micode.notes.tool.DataUtils;
 
 
 public class NoteItemData {
